Package com.databricks.jdbc.common.util

## Class DecompressionUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.DecompressionUtil

    public class DecompressionUtil
    extends Object

### Constructor Summary

Constructors
`DecompressionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decompress​(byte[] compressedInput, CompressionType compressionType, String context)`
`static InputStream` `decompress​(InputStream compressedStream, CompressionType compressionType, String context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecompressionUtil

    public DecompressionUtil()

### Method Detail

#### decompress

    public static byte[] decompress​(byte[] compressedInput,
                                    CompressionType compressionType,
                                    String context)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### decompress

    public static InputStream decompress​(InputStream compressedStream,
                                         CompressionType compressionType,
                                         String context)
                                  throws IOException,
                                         DatabricksSQLException

Throws:
  `IOException`
  `DatabricksSQLException`